WinFlash Help System


 Introduction

About WinFlash

The Phoenix SecureCore Tiano™ WinFlash utility is a 32-bit Windows application that allows you to update, backup, and restore the BIOS on a flash device. It provides both graphical and command line interfaces.

Product Overview

The following lists the basic features of the WinFlash program.

  • Filename: Winflash.exe
  • Operating System: 32-bit and 64-bit Windows 2000/XP/Vista/7
  • User Interface: Both Graphical & Command Line
  • Default Settings: WinFlash.ini


 Feature Details

Feature Details

The following lists each feature and its available options:

  • Phoenix SecureCore Tiano™ BIOS support
  • 32-bit UEFI emulation and Windows Flash Application
  • Support Windows XP (32/64), Vista (32/64 legacy/UEFI) and Windows7
  • Use SMI handler to update BIOS (Erase/Write/Verify)
  • Based on FD spec. version 0.96 or above
  • Default to preserve the variables of ROM
  • Default to skip Recovery volume (like Boot block)
  • Support SLP2.0
  • Support flash command line extension (pflash.rsp)
  • DMI string update support


 Prerequisites

Prerequisites

Required Software

The following software is required in order to use the WinFlash utility.

  • Microsoft Visual Studio® 2005 or later

BIOS Preparation

To flash a new BIOS, you must prepare the following.

  • The new BIOS image, such as BIOS.FD
  • SMI interface with FD support


 Starting WinFlash in Windows

Starting WinFlash in Windows

To run the WinFlash Windows utility, follow these steps:

  1. Close all other programs and applications.
  2. Double-click the WinFlash.exe icon to execute the program.
  3. The Graphical User Interface (GUI) will display as shown here.

    Note: The GUI will not display if WinFlash is launched from the command line with the /p or /remote2 options.

  4. Select the action that you want to perform:
    • Backup BIOS and Flash BIOS with new settings
    • Backup BIOS only
    • Flash BIOS only

    Click on the Advanced button for additional options. Select the options you require and click OK.
    Note: These settings will become the new default as they are saved to the settings file (winflash.ini).

  5. If you are flashing a new BIOS, specify the name of the new BIOS file. This file is normally supplied by your system manufacturer.
  6. If you are backing up a file, specify the name of the backup file for the existing BIOS.
  7. When you are finished, click the Flash/Backup button. A confirmation window displays asking you to continue or cancel. Select OK to continue. A progress meter appears as shown below.
    Warning: Do not interrupt the program under any condition.

  8. If you are backing up your BIOS only, the utility will display a confirmation message upon successful completion. If you successfully backup and upgrade (flash) your BIOS, the utility will display the following message.

  9. Press Cancel to terminate the restart dialog and return to the main window. Be aware that your system may not execute the features of the newly programmed BIOS until you reboot.

  10. Press Restart, or simply wait, to allow the program to reboot your computer. If your system does not shut down automatically, reboot the system by pressing the Restart button or by turning the power switch off and on.


 Starting WinFlash from the Command Prompt

Starting WinFlash from the Command Prompt

From the command prompt, you can use WinFlash to perform the following tasks:

  • Flash a new BIOS to your system
  • Backup existing BIOS before flashing
  • Verify the new BIOS checksum
  • Minimize messages and delays
  • Backup ROM only without flashing

WinFlash initializes based on the settings within the WINFLASH.INI file. Command line options are contained within a response file named PFLASH.RSP.

You can inherit the SETUP variable from the system ROM and add a new variable image file. Perform the following steps to run WinFlash from the command prompt.

  1. Close all other programs.
  2. From the Start menu, select Run.
  3. Enter the path for the WinFlash program when the Run message box displays, for example, ...\WinFlash
  4. Press Enter.

Note: You can also run WinFlash from the MS-DOS prompt under Windows.


 Command Options

Command Options

This section lists WinFlash command options and parameters.

Syntax

WINFLASH [options] [romfile] [@rspfile]

romfile

The new BIOS image name, eg: BIOS.FD

@rspfile

The response file (PFLASH.RSP by default) contains all command parameters in text format.

/? or /help or /h

Displays help screen

/all

Flash the entire image including the descriptor region

/bak:filename

Backup ROM to a file.

/bbl

Program the boot block. By default, bootblock is not updated.

/bios

Flash the BIOS region

/cs

Verify BIOS.FD image checksum

/cvar

Clear variables

/desc

Flash the descriptor the region

/dmc:string

Specify chassis manufacturer DMI string

/dmm:string

Specify motherboard manufacturer DMI string

/dms:string

Specify system manufacturer DMI string

/dcp:string

Specify chassis asset tag number

/dpm:string

Specify motherboard product ID DMI string

/dps:string

Specify system product ID DMI string

/dsc:string

Specify chassis serial number DMI string

/dsm:string

Specify motherboard serial number DMI string

/dss:string

Specify system serial number DMI string

/dus:string

Specify UUID DMI string

/dvc:string

Specify chassis version DMI string

/dvm:string

Specify motherboard version DMI string

/dvs:string

Specify system version DMI string

/ec

Flash the EC region

/exit

Exit without rebooting

/gbe

Flash the GbE region

/logo:imagefile

Replace the current BIOS logo with an imagefile in jpeg or bmp format.

/me

Flash the ME region

/mfg

Manufacturing mode. Automatically reboots without the need for pressing a key.

/mod:filename

Updates the module in the BIOS with the module contained in the file (such as /MOD:vga.ffs); the rest of the BIOS image remains unchanged.

/mode=n

Specify dmi mode n = {0, 1, 2, 3}

0: Just update BIOS with new file, don’t update DMI variables.

1: Just update DMI variables, keep ROM BIOS as before.

2: Update BIOS, merge ROM DMI variables with command line(default).

3: Update BIOS, merge image variables with command line.

/p

Production mode (minimize messages and delays)

/raw:uuid:filename

Replace the RAW module content.

/remote2

Execute WinFlash without GUI, allowing other applications or other computers to call WinFlash.

/ro[=name]

Read contents of flash part and save to a file.

/v

Verify each block after programming it.

/sa

Skip all BIOS checks.

/sd

Skip BIOS date check.

/sn

Skip BIOS part number check.

/sp

Skip BIOS product code check.

/sv

Skip BIOS version check.


 Notices

Confidential and Proprietary Information

The contents of this document are confidential and proprietary to Phoenix Technologies Ltd. Access to this information is restricted. This document is provided for Distributor’s internal use only. This document should not be disclosed to any third party, including customers.

Copyright

Copyright © 2009-2010 Phoenix Technologies Ltd. All rights reserved. No part of this publication may be reproduced, transmitted, transcribed, stored in a retrieval system, or translated into any language or computer language, in any form or by any means, electronic, mechanical, magnetic, optical, chemical, manual, or otherwise, without the prior written permission of Phoenix Technologies Ltd.

Disclaimers

PHOENIX TECHNOLOGIES LTD. MAKES NO REPRESENTATIONS OR WARRANTIES OF ANY KIND WITH RESPECT TO THE INFORMATION HEREIN DESCRIBED AND SPECIFICALLY DISCLAIMS ANY IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR ANY PARTICULAR PURPOSE OR NON-INFRINGEMENT. FURTHER, PHOENIX TECHNOLOGIES LTD. RESERVES THE RIGHT TO REVISE THIS DOCUMENTATION AND TO MAKE CHANGES FROM TIME TO TIME IN THE CONTENT WITHOUT OBLIGATION OF PHOENIX TECHNOLOGIES LTD. TO NOTIFY ANY PERSON OF SUCH REVISIONS OR CHANGES.

Trademarks

The following list contains the trademarks and/or registered trademarks of Phoenix Technologies Ltd. Exclusion from this list does not imply loss of trademark or registered trademark rights by Phoenix Technologies Ltd.: FailSafe; HyperSpace; HyperCore; Phoenix; TrustedCore; FirstBIOS; PhoenixBIOS; StrongROM; CoreArchitect; Phoenix Technologies; WinPhlash; Phoenix Technologies Logo; AwardBIOS; PC 3.0; Embedded Simplicity; Embedded BIOS; StrongFrame; Firmbase; Purpose-Driven Firmware; SecureCore; Phoenix Freeze; DriverAgent; BIOSAgentPlus, UndeletePlus; MicroCore; and eSupport.com.

Any use of other companies or legal entities’ copyrights, trademarks, or registered trademarks is unintentional and in no way implies any legal claim to those copyrights, trademarks, or registered trademarks.

Document

The contents of this document are subject to change at the discretion of Phoenix Technologies.

Modified Date: April 15, 2010